"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.test = exports.defaultAuditThresholds = exports.defaultPackageConfig = exports.DEFAULT_PORT = exports.playAudit = exports.base = exports.expect = void 0;
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
const portfinder_sync_1 = require("portfinder-sync");
var test_2 = require("@playwright/test");
Object.defineProperty(exports, "expect", { enumerable: true, get: function () { return test_2.expect; } });
var test_3 = require("@playwright/test");
Object.defineProperty(exports, "base", { enumerable: true, get: function () { return test_3.test; } });
/**
 * Run a lighthouse audit
 * @param playwrightLHConfiguration - The configuration for the lighthouse audit
 * @returns The lighthouse audit results
 * @public
 */
const playAudit = (playwrightLHConfiguration) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { playAudit: lighthousePlayAudit } = yield Promise.resolve().then(() => tslib_1.__importStar(require('playwright-lighthouse')));
    return lighthousePlayAudit(playwrightLHConfiguration);
});
exports.playAudit = playAudit;
exports.DEFAULT_PORT = 5030;
exports.defaultPackageConfig = {
    API_HOST: process.env.API_HOST,
    DEFAULT_USER: process.env.DEFAULT_USER,
    DEFAULT_PASSWORD: process.env.DEFAULT_PASSWORD,
    PORT: Number(process.env.PORT || exports.DEFAULT_PORT),
};
exports.defaultAuditThresholds = {
    performance: 20,
    accessibility: 80,
    'best-practices': 80,
    seo: 50,
    pwa: 20,
};
/**
 * Playwright test
 * @public
 * @remarks
 * This is just an example playwright test fixture stub. In reality, you will likely create a custom
 * fixture for your e2e tests depending on the needs of your app or micro frontend.
 */
exports.test = test_1.test.extend({
    config: [exports.defaultPackageConfig, { option: true, scope: 'worker', timeout: 60000 }],
    port: [
        ({ config }, use) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            const port = (0, portfinder_sync_1.getPort)((config === null || config === void 0 ? void 0 : config.PORT) || process.env.PORT || exports.defaultPackageConfig.PORT);
            yield use(port);
        }),
        { scope: 'worker' }, // option: true
    ],
    browser: [
        ({ port }, use) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            const browser = yield test_1.chromium.launch({
                args: [`--remote-debugging-port=${port}`],
            });
            yield use(browser);
        }),
        { scope: 'worker' },
    ],
    audit: [exports.defaultAuditThresholds, { option: true, scope: 'worker' }], // TODO: These are not being used from other test setups extending this.
});
// Perhaps we keen extending the test up the package chain... spread the mf tests into our app test
// const test2 = test.extend<{ foo: boolean }>({
//   foo: [true, { option: true }],
// });
//
// a('lighthouse audit', async ({ foo, page }) => {
//
// });
