import type { Browser } from '@playwright/test';
import type { playwrightLighthouseConfig } from 'playwright-lighthouse';
export { expect } from '@playwright/test';
export { test as base } from '@playwright/test';
export type { Page, Locator } from '@playwright/test';
export type { PlaywrightTestConfig } from '@playwright/test';
/**
 * Run a lighthouse audit
 * @param playwrightLHConfiguration - The configuration for the lighthouse audit
 * @returns The lighthouse audit results
 * @public
 */
export declare const playAudit: (playwrightLHConfiguration: playwrightLighthouseConfig) => Promise<any>;
/**
 * @public
 */
export type PackageConfig = {
    API_HOST?: string;
    DEFAULT_USER?: string;
    DEFAULT_PASSWORD?: string;
    PORT?: number;
};
export declare const DEFAULT_PORT = 5030;
export declare const defaultPackageConfig: PackageConfig;
/**
 * @public
 */
export type AuditThresholds = {
    performance?: number;
    accessibility?: number;
    'best-practices'?: number;
    seo?: number;
    pwa?: number;
};
export declare const defaultAuditThresholds: AuditThresholds;
/**
 * @public
 */
export type TestFixture = {};
/**
 * @public
 */
export type WorkerFixture = {
    config: PackageConfig;
    port: number;
    browser: Browser;
    audit: AuditThresholds;
};
/**
 * Playwright test
 * @public
 * @remarks
 * This is just an example playwright test fixture stub. In reality, you will likely create a custom
 * fixture for your e2e tests depending on the needs of your app or micro frontend.
 */
export declare const test: import("@playwright/test").TestType<import("@playwright/test").PlaywrightTestArgs & import("@playwright/test").PlaywrightTestOptions, import("@playwright/test").PlaywrightWorkerArgs & import("@playwright/test").PlaywrightWorkerOptions & WorkerFixture>;
//# sourceMappingURL=test.d.ts.map