import { __awaiter } from "tslib";
import { chromium } from '@playwright/test';
import * as PlaywrightBDD from 'playwright-bdd';
import { getPort } from 'portfinder-sync';
import { defaultAuditThresholds, defaultPackageConfig } from '../playwright/test';
export { PlaywrightBDD };
/**
 * Playwright BDD test
 * @public
 */
export const test = PlaywrightBDD.test;
export const testConfig = {
    config: [defaultPackageConfig, { option: true, scope: 'worker', timeout: 60000 }],
    port: [
        ({ config }, use) => __awaiter(void 0, void 0, void 0, function* () {
            const port = getPort((config === null || config === void 0 ? void 0 : config.PORT) || process.env.PORT || defaultPackageConfig.PORT);
            yield use(port);
        }),
        { scope: 'worker' },
    ],
    browser: [
        ({ port }, use) => __awaiter(void 0, void 0, void 0, function* () {
            const browser = yield chromium.launch({
                args: [`--remote-debugging-port=${port}`],
            });
            yield use(browser);
        }),
        { scope: 'worker' },
    ],
    audit: [defaultAuditThresholds, { option: true, scope: 'worker' }],
};
